package sprzedaz.strumieniowo;

import javax.swing.*;
import java.math.BigDecimal;
import java.util.List;
import java.util.Objects;

public class P2_SumaZWybranegoMiasta_BD {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta:");

        BigDecimal suma = 
        		transakcje.stream()
                .filter(tr -> Objects.equals(tr.getMiasto(), miasto))
                .map(Transakcja::getWartosc)
                .reduce(BigDecimal.ZERO, BigDecimal::add);

        JOptionPane.showMessageDialog(null, "Suma wynosi " + suma);
    }

}
